#### D.6.4.1 basicinvariants

Procedure from library `classify.lib` (see classify_lib).

Usage:
  basicinvariants(f); f = poly

Compute:
  Compute basic invariants of f: an upper bound d for the determinacy, the milnor number mu and the corank c of f

Return:
  intvec: d, mu, c

Example:

    LIB "classify.lib";
    ring r=0,(x,y,z),ds;
    basicinvariants((x2+3y-2z)^2+xyz-(x-y3+x2*z3)^3);
    ==> 5,4,2

User manual for Singular version 4.4.1, 2025, generated by texi2html.